#
# spec file for package yast2-support (Version 2.9.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  yast2-devel-packages

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext popt-devel rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite


Name:           yast2-support
Version:        2.9.5
Release:        0.6
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-support-2.9.5.tar.bz2
Prefix:         /usr
Requires:       yast2 siga gzip
Provides:       y2m_support yast2-module-support yast2-trans-support y2t_support
Obsoletes:      y2m_support yast2-module-support yast2-trans-support y2t_support
BuildArch:      noarch
Summary:        YaST2 - Support Inquiries
%define nld %(if grep -q sles9-sld /.buildenv; then echo 1; else echo 0; fi)

%description
This module allows you to send installation support inquiries in a
standardized format. At the first invocation, it will allow you to
register online.



%prep
%setup -n yast2-support-2.9.5

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
. /.buildenv
%if %nld
rm $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/support.desktop
%endif
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/scrconf/*.scr
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/include/support
%if ! %nld
%{prefix}/share/applications/YaST2/*.desktop
%endif
/usr/share/YaST2/data/support
%{prefix}/lib/YaST2/bin/support
%doc %{prefix}/share/doc/packages/yast2-support

%changelog
* Wed Dec 10 2008 - varkoly@suse.de
- (bnc#450959) - L3: view_anymsg missing in yast2-support-2.9.5-0.4
* Fri Oct 27 2006 - ro@suse.de
- fix build on nld9 (sles9-sld)
* Fri Oct 13 2006 - varkoly@suse.de
- fixing: Bug 167298 - yast2-support sends requests to support.suse.de
* Thu Sep 23 2004 - kkaempf@suse.de
- drop support.desktop when building sles9-sld-i386
* Fri May 07 2004 - mvidner@suse.cz
- Merged messages from proofreading.
- 2.9.4
* Fri Apr 02 2004 - msvec@suse.cz
- fixed log viewer in ncurses menu (#38088)
- changed license to GPL
- updated testsuite
- 2.9.3
* Thu Mar 11 2004 - msvec@suse.cz
- fixes from Martin Lasarsch
- 2.9.2
* Mon Feb 09 2004 - msvec@suse.cz
- make it compile and build
- drop y2cc config files
- 2.9.1
* Mon Sep 15 2003 - mlasars@suse.de
- removed obsolete text (bug #30372)
- point send script to 9.0 url
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Mon Sep 08 2003 - msvec@suse.cz
- proof-read texts
- 2.8.4
* Wed Aug 20 2003 - arvin@suse.de
- added desktop file
- use Popup and Label modules
* Mon Jun 23 2003 - arvin@suse.de
- include directories in file list
* Fri Mar 14 2003 - sh@suse.de
- V 2.7.4
- Enable embedding to KDE control center
* Mon Mar 03 2003 - kkaempf@suse.de
- proofread texts.
- 2.7.3
* Fri Feb 21 2003 - mlasars@suse.de
- add mail and usb to support categories.
- 2.7.2
* Fri Feb 21 2003 - kkaempf@suse.de
- match combo box entry with log view caption (#23849)
- 2.7.1
* Mon Feb 10 2003 - jsuchome@suse.de
- Merged proofread texts.
- 2.7.0
* Thu Aug 29 2002 - jsuchome@suse.cz
- added tests
* Tue Aug 27 2002 - jsuchome@suse.cz
- hacked send_support_request.pl for running outside of suse.de
- added siga to "Requires"
- changed helptext in question dialog (#17098)
- tmp files removed at the end
* Mon Aug 26 2002 - jsuchome@suse.cz
- 2.6.6.
* Thu Aug 22 2002 - jsuchome@suse.cz
- changed install paths:
  /usr/lib/YaST2/bin/support for scripts
  /usr/share/YaST2/data/support for initial data
  /var/lib/YaST2/support is still used for variable data
- supportio.ycp put to yncludedir
- html output for wrapper script changed to plain
- added check for root as a user
* Thu Jul 18 2002 - kkaempf@suse.de
- obsolete yast2-trans-support (#16886)
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Thu Jul 11 2002 - kkaempf@suse.de
- generate support.pot
* Fri Jul 05 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Thu Jun 27 2002 - kkaempf@suse.de
- Rename to "yast2-support".
* Thu Mar 21 2002 - kkaempf@suse.de
- Add option(`hstretch) to ComboWidget so ncurses displays it with
  the right size (#15221).
- Handle "close window" event as "abort" (#8643).
* Wed Mar 20 2002 - kkaempf@suse.de
- check for /etc/prelink.cache and report it in the question (#15273).
* Thu Mar 14 2002 - kkaempf@suse.de
- send "-none-" as question if user didn't enter any.
* Wed Mar 13 2002 - mlasars@suse.de
- added ##Y2support tags for cgi script
* Fri Mar 01 2002 - kkaempf@suse.de
- enhance logfile viewer
- drop sitar require
* Fri Mar 01 2002 - kkaempf@suse.de
- all .include files changed to use siga, added 2 files,
  hw.include & net.include
- support_modules.pl
  added net & hw option
  removed not needed outputs
- support_question.ycp
  added buttons for cdr, network and hardware
- support_send.ycp
  added chmod 600 for support.request at the end
- send_support_request.pl
  changed url form 73 to 80
- wrapper
  added options (hw,net)
  changed support_whatever() to call siga
* Mon Feb 25 2002 - kkaempf@suse.de
- adapt to Wizard library.
- put key to /var/lib/support.
* Tue Feb 19 2002 - kkaempf@suse.de
- move support key data from rc.config to sysconfig.
* Thu Sep 20 2001 - gs@suse.de
- new icons for startup log and system log
* Tue Sep 18 2001 - bjacke@suse.de
- fix dependency for sitar and remove a password from config file
* Fri Sep 14 2001 - kkaempf@suse.de
- adapt to new ycp syntax, fix translations.
- fix locale bug (#10409).
- bump version to 2.4.1 for 7.3
* Fri Sep 07 2001 - bjacke@suse.de
- use new sitar version and update information collector files
* Mon May 14 2001 - mge@suse.de
- "wrapper": don't print "Buttons:" if --all
* Mon May 14 2001 - kkaempf@suse.de
- re-enable "--output=html", "plain" breaks in wrapper
* Sat May 12 2001 - kkaempf@suse.de
- drop "--output=html" for 'unspecified'
- drop scanner and cd-writer as options
* Thu May 10 2001 - kkaempf@suse.de
- suppress empty/unused locales (translations)
* Tue May 08 2001 - bjacke@suse.de
- fix call in wrapper script and minor tweaks
* Mon May 07 2001 - sh@suse.de
- Use new UI(`GetLanguage()) parameter
* Wed May 02 2001 - kkaempf@suse.de
- use RichText widget for HTML output
* Tue May 01 2001 - bjacke@suse.de
- correct include files and support_module
* Mon Apr 30 2001 - kkaempf@suse.de
- correctly use "wrapper" script
  fix filelist in specfile
* Thu Apr 12 2001 - kkaempf@suse.de
- update probing tools
  use yast2-lib-wizard functions
* Mon Apr 09 2001 - kkaempf@suse.de
- modularize view file functions
* Fri Apr 06 2001 - kkaempf@suse.de
- adapt to new common_popups
- ask for category
- use new data collection script
* Thu Apr 05 2001 - kkaempf@suse.de
- package renamed to yast2-module-support
- new functions, view /var/log/messages
  and view /var/log/boot.msg
* Fri Jan 19 2001 - kkaempf@suse.de
- protect /var/lib/support with chmod 700
* Tue Jan 16 2001 - kkaempf@suse.de
- honor back button in support_question
* Tue Jan 16 2001 - kkaempf@suse.de
- remove duplicate include statements
* Thu Jan 11 2001 - kkaempf@suse.de
- gather more system informations
* Thu Jan 11 2001 - kkaempf@suse.de
- add proper regcode check
* Thu Jan 11 2001 - kkaempf@suse.de
- check internet connection, popup appropriate message boxes
* Wed Jan 10 2001 - kkaempf@suse.de
- fix "save disk" popup
* Wed Jan 10 2001 - kkaempf@suse.de
- added comments for translators
* Wed Dec 13 2000 - kkaempf@suse.de
- better messages
* Tue Nov 21 2000 - kkaempf@suse.de
- initial
